	<div class="blockform">
		<h2><span>Add/setup groups</span></h2>
		<div class="box">
			<form id="groups" method="post" action="<%= url_for :action => 'update_index' %>">
				<div class="inform">
					<fieldset>
						<legend>Add new group</legend>
						<div class="infldset">
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row">Base new group on<div><input type="submit" name="add_group" value=" Add " tabindex="2" /></div></th>
									<td>
										<select id="base_group" name="base_group" tabindex="1">
<%
for g in @groups
  if g.id == Settings.default_user_group
-%>
											<option value="<%= g.id %>" selected="selected"><%=h g.g_title %></option>
<% else -%>
											<option value="<%= g.id %>"><%=h g.g_title %></option>
<%
  end
end
-%>
										</select>
										<span>Select a user group from which the new group will inherit it's permission settings. The next page will let you fine-tune said settings.</span>
									</td>
								</tr>
							</table>
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
						<legend>Set default group</legend>
						<div class="infldset">
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row">Default group<div><input type="submit" name="set_default_group" value=" Save " tabindex="4" /></div></th>
									<td>
										<select id="default_group" name="default_group" tabindex="3">
<%
for g in @groups
  if g.id == Settings.default_user_group
-%>
											<option value="<%= g.id %>" selected="selected"><%=h g.g_title %></option>
<% else -%>
											<option value="<%= g.id %>"><%=h g.g_title %></option>
<%
  end
end
-%>
										</select>
										<span>This is the default user group, e.g. the group users are placed in when they register. For security reasons, users can't be placed in either the moderator or administrator user groups by default.</span>
									</td>
								</tr>
							</table>
						</div>
					</fieldset>
				</div>
			</form>
		</div>

		<h2 class="block2"><span>Existing groups</span></h2>
		<div class="box">
			<div class="fakeform">
				<div class="inform">
					<fieldset>
						<legend>Edit/remove groups</legend>
						<div class="infldset">
							<p>The pre-defined groups Guests, Administrators, Moderators and Members cannot be removed. They can however be edited. Please note though, that in some groups, some options are unavailable (e.g. the <em>edit posts</em> permission for guests). Administrators always have full permissions.</p>
							<table cellspacing="0">
<% for g in @all_groups -%>
								<tr><th scope="row"><a href="<%= url_for :action => 'edit', :id => g.id %>">Edit</a><%
    if g.id > Settings.group_ids[:pun_member] and g.id != Settings.default_user_group -%>
 - <a href="<%= url_for :action => 'delete', :id => g.id %>">Remove</a>
<%  end -%>
</th><td><%=h g.g_title %></td></tr>
<% end -%>
							</table>
						</div>
					</fieldset>
				</div>
			</div>
		</div>
	</div>
	<div class="clearer"></div>
</div>
